Show / Hide Table of Contents

# Struct AgentCharaCard.Storage

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Storage

### Fields

| Improve this Doc View Source

#### Activity1IconId

##### Declaration

    public uint Activity1IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Activity1Name

##### Declaration

    public Utf8String Activity1Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Activity2IconId

##### Declaration

    public uint Activity2IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Activity2Name

##### Declaration

    public Utf8String Activity2Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Activity3IconId

##### Declaration

    public uint Activity3IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Activity3Name

##### Declaration

    public Utf8String Activity3Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Activity4IconId

##### Declaration

    public uint Activity4IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Activity4Name

##### Declaration

    public Utf8String Activity4Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Activity5IconId

##### Declaration

    public uint Activity5IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Activity5Name

##### Declaration

    public Utf8String Activity5Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Activity6IconId

##### Declaration

    public uint Activity6IconId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Activity6Name

##### Declaration

    public Utf8String Activity6Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### CharaView

##### Declaration

    public void *CharaView

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### FreeCompany

##### Declaration

    public Utf8String FreeCompany

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Name

##### Declaration

    public Utf8String Name

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### UnkString1

##### Declaration

    public Utf8String UnkString1

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### UnkString2

##### Declaration

    public Utf8String UnkString2

##### Field Value

Type | Description
--- | ---
Utf8String |